import { Editor } from '@tiptap/core';
import { Ref } from 'vue';
import { EditorCommand, EditorCommandGroup } from '.';
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/marks/code}
 */
export declare function useInlineCode(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/code-block}
 */
export declare function useCodeBlock(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useCodes(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand[]>;
export declare function useCodesGroup(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommandGroup>;
